SUSE SLED12 / SLES12 Security Update : ImageMagick (SUSE-SU-2018:3095-1)

Medium Nessus Plugin ID 118078

Synopsis

The remote SUSE host is missing one or more security updates.

Description

This update for ImageMagick fixes the following security issues :

CVE-2017-11532: Prevent a memory leak vulnerability in the WriteMPCImage() function in coders/mpc.c via a crafted file allowing for DoS (bsc#1050129)

CVE-2018-16750: Prevent memory leak in the formatIPTCfromBuffer function (bsc#1108283)

CVE-2018-16749: Added missing NULL check in ReadOneJNGImage that allowed an attacker to cause a denial of service (WriteBlob assertion failure and application exit) via a crafted file (bsc#1108282)

CVE-2018-16642: The function InsertRow allowed remote attackers to cause a denial of service via a crafted image file due to an out-of-bounds write (bsc#1107616)

CVE-2018-16640: Prevent memory leak in the function ReadOneJNGImage (bsc#1107619)

CVE-2018-16643: The functions ReadDCMImage, ReadPWPImage, ReadCALSImage, and ReadPICTImage did check the return value of the fputc function, which allowed remote attackers to cause a denial of service via a crafted image file (bsc#1107612)

CVE-2018-16644: Added missing check for length in the functions ReadDCMImage and ReadPICTImage, which allowed remote attackers to cause a denial of service via a crafted image (bsc#1107609)

CVE-2018-16645: Prevent excessive memory allocation issue in the functions ReadBMPImage and ReadDIBImage, which allowed remote attackers to cause a denial of service via a crafted image file (bsc#1107604)

CVE-2018-16413: Prevent heap-based buffer over-read in the PushShortPixel function leading to DoS (bsc#1106989)

This update also relaxes the restrictions of use of Postscript like formats to 'write' only. (bsc#1105592)

Note that Tenable Network Security has extracted the preceding description block directly from the SUSE security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or 'zypper patch'.

Alternatively you can run the command listed for your product :

SUSE Linux Enterprise Workstation Extension 12-SP3:zypper in -t patch SUSE-SLE-WE-12-SP3-2018-2195=1

SUSE Linux Enterprise Software Development Kit 12-SP3:zypper in -t patch SUSE-SLE-SDK-12-SP3-2018-2195=1

SUSE Linux Enterprise Server 12-SP3:zypper in -t patch SUSE-SLE-SERVER-12-SP3-2018-2195=1

SUSE Linux Enterprise Desktop 12-SP3:zypper in -t patch SUSE-SLE-DESKTOP-12-SP3-2018-2195=1

See Also

https://bugzilla.suse.com/1050129

https://bugzilla.suse.com/1105592

https://bugzilla.suse.com/1106989

https://bugzilla.suse.com/1107604

https://bugzilla.suse.com/1107609

https://bugzilla.suse.com/1107612

https://bugzilla.suse.com/1107616

https://bugzilla.suse.com/1107619

https://bugzilla.suse.com/1108282

https://bugzilla.suse.com/1108283

https://www.suse.com/security/cve/CVE-2017-11532.html

https://www.suse.com/security/cve/CVE-2018-16413.html

https://www.suse.com/security/cve/CVE-2018-16640.html

https://www.suse.com/security/cve/CVE-2018-16642.html

https://www.suse.com/security/cve/CVE-2018-16643.html

https://www.suse.com/security/cve/CVE-2018-16644.html

https://www.suse.com/security/cve/CVE-2018-16645.html

https://www.suse.com/security/cve/CVE-2018-16749.html

https://www.suse.com/security/cve/CVE-2018-16750.html

http://www.nessus.org/u?c7105aa5

Plugin Details

Severity: Medium

ID: 118078

File Name: suse_SU-2018-3095-1.nasl

Version: 1.1

Type: local

Agent: unix

Published: 2018/10/12

Modified: 2018/10/12

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

CVSSv3

Base Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:ImageMagick, p-cpe:/a:novell:suse_linux:ImageMagick-debuginfo, p-cpe:/a:novell:suse_linux:ImageMagick-debugsource, p-cpe:/a:novell:suse_linux:libMagick++-6_Q16, p-cpe:/a:novell:suse_linux:libMagick++-6_Q16-3-debuginfo, p-cpe:/a:novell:suse_linux:libMagickCore-6_Q16, p-cpe:/a:novell:suse_linux:libMagickCore-6_Q16-1, p-cpe:/a:novell:suse_linux:libMagickCore-6_Q16-1-debuginfo, p-cpe:/a:novell:suse_linux:libMagickWand-6_Q16, p-cpe:/a:novell:suse_linux:libMagickWand-6_Q16-1-debuginfo, cpe:/o:novell:suse_linux:12

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2018/10/10

Reference Information

CVE: CVE-2017-11532, CVE-2018-16413, CVE-2018-16640, CVE-2018-16642, CVE-2018-16643, CVE-2018-16644, CVE-2018-16645, CVE-2018-16749, CVE-2018-16750